import cv2

# 打开视频文件
cap = cv2.VideoCapture(r'D:\Users\Desktop\item\unet-pytorch\output_video.mp4')

while cap.isOpened():
    # 读取一帧
    ret, frame = cap.read()

    if ret:
        # 显示当前帧
        cv2.imshow('Video', frame)

        # 增加帧显示时间，这里设置为 50 毫秒
        key = cv2.waitKey(10000)

        # 如果按下 'q' 键，退出循环
        if key & 0xFF == ord('q'):
            break
    else:
        break

# 释放视频捕获对象和关闭所有窗口
cap.release()
cv2.destroyAllWindows()
